code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
# Copyright 2022 The Google Research Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agree... | google-research/google-research | dac/run_evaluation_worker.sh | Shell | apache-2.0 | 961 |
#!/bin/bash
# Define process ID file names
PIDFILENAMEPERSISTENT="tempPIDPersistent"
PIDFILENAMEESTOP="tempPIDEStop"
VISION=false
SPEECH=false
HELP=false
STATEMACHINE=false
TELEOP=false
NAV=false
GENIALE=false
RVIZ=false
JET=true
MAPPING=false
FORCEOFFLINE=false
LANGUE="en-US"
while getopts "asvhtfJngzl:mo" opt; ... | WalkingMachine/sara_launch | sh_files/Sara_total_bringup.sh | Shell | apache-2.0 | 10,869 |
#!/bin/bash
set -eux
set -o pipefail
write_entries() {
local file="$1"
local entries="$2"
# Don't do anything if the file isn't there
if [ ! -f "$file" ]; then
return
fi
if grep -q "^# HEAT_HOSTS_START" "$file"; then
temp=$(mktemp)
(
sed '/^# HEAT_HOSTS_START/,... | dprince/tripleo-heat-templates | scripts/hosts-config.sh | Shell | apache-2.0 | 1,472 |
#!/bin/bash
set -e
set -x
set -u
USAGE="Usage: $0 <project>"
PROJECT=${1:?Please provide project name: $USAGE}
# Root directory of this script.
SCRIPTDIR=$( dirname "${BASH_SOURCE[0]}" )
BASEDIR=${PWD}
# Generate the configs.
${SCRIPTDIR}/generate_prometheus_targets.sh
# Copy the configs to GCS.
${SCRIPTDIR}/travi... | jheretic/operator | deploy_prometheus_targets.sh | Shell | apache-2.0 | 439 |
echo Installing...
if [ ! -f ./ProgramFiles/* ]; then
echo "Programme File not found, contact the programme's author to tell them about this issue"
exit 1
fi
NAME="$(sed -n '4p' info.yml)"
CreateArray.sh
echo Updateing Component Registry...
if [ ! -f ./registray.xml ]; then
echo Component reg does not exit, cre... | Gum-Joe/Universal-Setup | install.sh | Shell | apache-2.0 | 504 |
#http://www.esdebian.org/articulos/36816/dos-scripts-utiles-fans-consolas-diccionarios-on-line
#!/bin/bash
Diccionario="http://buscon.rae.es/draeI/SrvltGUIBusUsual?origen=RAE&LEMA=$1" # RAE
#Diccionario="http://buscon.rae.es/dpdI/SrvltGUIBusDPD?origen=RAE&lema=$1" # PanhispΓ‘nico
lynx -useragent=mozilla -display_cha... | 3manuek/bash_scripts | dict.sh | Shell | bsd-2-clause | 1,559 |
#!/bin/sh
rm -rf ./docs
gem install jazzy
jazzy \
--config .jazzy.yaml \
--xcodebuild-arguments -project,Advance.xcodeproj,-scheme,Advance-iOS \
--clean \
--readme ./README.md \
--output ./docs
| storehouse/Advance | build_docs.sh | Shell | bsd-2-clause | 207 |
#!/bin/bash -e
echo "###"
echo "### Cloning angr-dev..."
echo "###"
sudo apt-get update && sudo apt-get install -y socat
cd
git clone -q https://github.com/angr/angr-dev && cd angr-dev
git checkout $TRAVIS_BRANCH || echo "No branch $TRAVIS_BRANCH in angr-dev. Using default test scripts."
./tests/shell.sh debug.angr.... | Ruide/angr-dev | tests/travis-install.sh | Shell | bsd-2-clause | 352 |
#!/usr/bin/env bash
source common.sh
if [[ ! -d wangle ]]; then
git clone https://github.com/facebook/wangle
cd "$PKG_DIR/wangle" || die "cd fail"
if [[ -f "$REPO_BASE_DIR/mcrouter/WANGLE_COMMIT" ]]; then
WANGLE_COMMIT="$(head -n 1 "$REPO_BASE_DIR/mcrouter/WANGLE_COMMIT")"
echo "WANGLE_COMMIT file found... | yqzhang/mcrouter | mcrouter/scripts/recipes/wangle.sh | Shell | bsd-3-clause | 636 |
#!/bin/sh
LANG=C
xff=$1
t=$(date +%s)
#t=1480272727
echo $(date), $t
rrdtool create test.rrd -b $(date +%s) --step 1 DS:temp:GAUGE:1:0:100 RRA:AVERAGE:${xff}:5:10
for i in `seq 1 20`; do
rrdtool update test.rrd ${t}:${i}
t=$((t + 1))
done
rrdtool dump test.rrd
| yubo/program | rrd/01_xxf.sh | Shell | bsd-3-clause | 275 |
echo "REX Compilation Script, version 0.75b"
if [ "$1" == "arch=x86_64" ]
then
export TARGET="x86_64"
elif [ "$1" == "arch=x86_32" ]
then
export TARGET="x86_32"
elif [ "$1" == "arch=aarch64" ]
then
export TARGET="aarch64"
elif [ "$1" == "arch=aarch64-big" ]
then
export TARGET="aarch64-big"
elif [ "$1" == "arch=ppc"... | Benderx2/R3X | src/build.sh | Shell | bsd-3-clause | 7,037 |
#! /usr/bin/env sh
function abspath {
case "${1}" in
[./]*)
echo "$(cd ${1%/*}; pwd)/${1##*/}"
;;
*)
echo "${PWD}/${1}"
;;
esac
}
function exitWithUsage {
echo "Usage: ${0} <script dir> <testCase dir>"
exit 1
}
function exitWithError {
echo "Error: ${1}"
exit 1
}
[ "${1}" == "" ] && exitWithUsage
[ ... | damiancarrillo/objc-formatter | test/run.sh | Shell | bsd-3-clause | 2,018 |
#!/bin/bash
### This is a very simple script to run
### the converter via its Main class.
### It relies on java being on the path, and
### will only work on UNIX-like systems presumably.
set -e
PATH_TO_SCRIPT=$(readlink -f "$0")
DIRNAME=$(dirname "$PATH_TO_SCRIPT")
### Initialize comments
CLASSPATH=""
### Add lib... | paulproteus/mdb-sqlite | run.sh | Shell | bsd-3-clause | 575 |
#!/bin/bash
fileName="$(./pathToFile $1)"
echo $fileName
matlab -r "plotScatter('$fileName')" > log
mv $fileName.pdf ~/public_html/figures/
| JimmyLin192/ConvexLatentVariable | plots/plotScat.sh | Shell | bsd-3-clause | 144 |
#!/bin/sh
base=$(dirname $0)
md5tool=../file_md5
testdir=..
appsdir=../../apps
tmpdir=/tmp/desc_props_temp$$
sampledir=/tmp/
create_essence()
{
$testdir/create_test_essence -t 42 -d 3 -s 0 $tmpdir/audio0
$testdir/create_test_essence -t 42 -d 3 -s 1 $tmpdir/audio1
$testdir/create_test_essence -t 8 -d 3 ... | Limecraft/ebu-bmx | test/misc/test_desc_props.sh | Shell | bsd-3-clause | 2,576 |
echo "Install mongo"
export LC_ALL=C
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 7F0CEB10
echo "deb http://repo.mongodb.org/apt/ubuntu "$(lsb_release -sc)"/mongodb-org/3.0 multiverse" | sudo tee /etc/apt/sources.list.d/mongodb-org-3.0.list
sudo apt-get -qq update
sudo apt-get -y -qq install mongod... | rachidcalazans/Padawan-Vagrant | provisioning/scripts/mongo.sh | Shell | mit | 326 |
#!/bin/sh
/Library/Frameworks/Python.framework/Versions/@PYVER@/bin/python@PYVER@ << "EOF"
# install_certifi.py
#
# sample script to install or update a set of default Root Certificates
# for the ssl module. Uses the certificates provided by the certifi package:
# https://pypi.python.org/pypi/certifi
import o... | anbangleo/NlsdeWeb | Python-3.6.0/Mac/BuildScript/resources/install_certificates.command | Shell | mit | 1,429 |
#spawn-fcgi -p 9510 -- ./hellocpp
umask 0111 && spawn-fcgi -s /tmp/hellocpp.sk -- ./hellocpp
| jacoborus/node-simple-router | test/common/public/fcgi/hellocpp/spawn.sh | Shell | mit | 93 |
#!/bin/bash
# Script Name: AtoMiC HTPC Manager Updater
source "$SCRIPTPATH/inc/commons.sh"
source "$SCRIPTPATH/inc/header.sh"
echo -e "${GREEN}AtoMiC $APPTITLE Update Script$ENDCOLOR"
source "$SCRIPTPATH/inc/pause.sh"
if DoesAppFolderExist; then
source "$SCRIPTPATH/inc/app-stop.sh"
source "$SCRIPTPATH/utils/p... | htpcBeginner/AtoMiC-ToolKit | htpcmanager/htpcmanager-update.sh | Shell | mit | 680 |
#!/bin/sh
#Krzysztof.M.Sywula@intel.com
dir=/media
auto_mount() {
mkdir -p $dir/$1 || exit 1
if ! mount -t auto -o sync "/dev/$1" "$dir/$1"; then
rmdir "$dir/$1"
exit 1
fi
}
auto_umount() {
mount | grep -q $dir/$1 && umount $dir/$1
[ -d "$dir/$1" ] && rmdir "$dir/$1"
}
main() {
case "$ACTION" in... | tzanussi/meta-microlinux | recipes-core/initscripts/initscripts-1.0/automount.sh | Shell | mit | 446 |
#!/bin/bash
# READ THIS FIRST: maintenance.md
# Script to install a server.
# Run it on the server with root privileges.
# Acknowledgements
# Thanks to Elia Fiore for installing SHEBANQ on RHEL/Centos/AlmaLinux/RockyLinux
# and giving essential feedback.
source ${0%/*}/config.sh
source ${0%/*}/doconfig.sh
source $... | ETCBC/shebanq | scripts/maintenance/install.sh | Shell | mit | 13,723 |
#!/bin/bash
echo "Fixing hostname"
HOST=`hostname`
echo "127.0.0.1 $HOST" >> /etc/hosts
echo "ZOOKEEPER_IP=$ZOOKEEPER_IP"
echo "Fixing ZOOKEEPER_IP in server.properties"
sed -i "s/{{ZOOKEEPER_IP}}/${ZOOKEEPER_IP:-localhost}/g" /kafka/config/server.properties
echo "Starting kafka"
/kafka/bin/kafka-server-start.sh /k... | michaelBenin/docker_public | images/kafka/kafka-start.sh | Shell | mit | 373 |
#!/usr/bin/env bash
set -eu
cd "$(dirname "$0")"
#
# Constants and defaults
#
DOCKER_REPO=fpco/stack-build
PUSH=false
DRY=false
VARIANT=build
#
# Functions
#
# Print usage information and exit with failure status. First argument is an
# error message.
usage() {
echo "$0: $1" >&2
echo
echo "Usage: $0 [-... | stackbuilders/stackage | automated/dockerfiles/build.sh | Shell | mit | 3,240 |
#!/bin/bash
python ./hyde/hyde.py -g -s development -d deploy
# Run the deployment, generating the required path deployment.
python ./env/Scripts/activate_this.py | hellsgate1001/bookit | docs/build.sh | Shell | mit | 162 |
#!/bin/bash -x
#
# Generated - do not edit!
#
# Macros
TOP=`pwd`
CND_PLATFORM=GNU-Linux-x86
CND_CONF=Release
CND_DISTDIR=dist
CND_BUILDDIR=build
CND_DLIB_EXT=so
NBTMPDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}/tmp-packaging
TMPDIRNAME=tmp-packaging
OUTPUT_PATH=${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/tutorial34... | ktejas/OpenGL | tutorial34/nbproject/Package-Release.bash | Shell | mit | 1,463 |
#!/bin/bash
FN="metaMSdata_1.20.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.9/data/experiment/src/contrib/metaMSdata_1.20.0.tar.gz"
"https://bioarchive.galaxyproject.org/metaMSdata_1.20.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-metamsdata/bioconductor-metamsdata_1.20.0_src_all.tar... | jerowe/bioconda-recipes | recipes/bioconductor-metamsdata/post-link.sh | Shell | mit | 1,416 |
#!/bin/bash
set -e
shopt -s expand_aliases
# TODO: These should not override any existing environment variables
export WP_CORE_DIR=/tmp/wordpress
export WP_TESTS_DIR=${WP_CORE_DIR}/tests/phpunit
export PLUGIN_DIR=$(pwd)
export PLUGIN_SLUG=$(basename $(pwd) | sed 's/^wp-//')
export PHPCS_DIR=/tmp/phpcs
export PHPCS_GI... | wp3sixty/buddy-views | dev-lib/travis.before_script.sh | Shell | gpl-2.0 | 2,410 |
#!/bin/sh
#
# Copyright (c) 2007 Johannes E. Schindelin
#
test_description='git rebase interactive
This test runs git rebase "interactively", by faking an edit, and verifies
that the result still makes sense.
Initial setup:
one - two - three - four (conflict-branch)
/
A - B - C - D - E (master)
... | crazy-canux/git | t/t3404-rebase-interactive.sh | Shell | gpl-2.0 | 37,846 |
#!/bin/bash
# Script for diffing a certain output file of a test and printing nice output
#
# While we could put this code into CMakeLists.txt, cmake prints the whole
# command that failed, which will be really long and ugly. This way, only the
# line executing this script will show up.
# Call this script with 4 para... | HarryRLevinson/aspect | tests/cmake/diff_test.sh | Shell | gpl-2.0 | 2,791 |
#!/usr/bin/env bash
set -e
PACKAGES="cmake pkg-config libogg libvorbis lame libsndfile libsamplerate jack sdl libgig libsoundio stk fluid-synth portaudio node fltk qt5"
if "${TRAVIS}"; then
PACKAGES="$PACKAGES ccache"
fi
# removing already installed packages from the list
for p in $(brew list); do
PACKAGES=${PA... | Wallacoloo/lmms | .travis/osx..install.sh | Shell | gpl-2.0 | 516 |
#!/bin/sh
# 1.6 xcstatistics test to check SerDes Ring with LBH antennas
# 20-01-10, M.J Norden
# LBH input with antenna
rspctl --rcuprsg=0
rspctl --wg=0
rspctl --rcumode=3
rspctl --rcuenable=1
sleep 2
rspctl --splitter=0
sleep 2
echo "check xcstat and xcangle"
rspctl --xcsubband=256
echo ==========================... | jjdmol/LOFAR | LCU/StationTest/test/xcstatistics/xcstatistics_lbh.sh | Shell | gpl-3.0 | 569 |
#!/bin/bash
# RELEASE BUILD ----------------------------------------------------------------
docker build -t cismet/cids-java-maven:latest -t cismet/cids-java-maven:jdk-1.8u131-1.0 .
# SNAPSHOT BUILD ---------------------------------------------------------------
#docker build -t cismet/cids-java-maven:latest-snapsho... | cismet/cids-docker-images | cids-java-maven/build.sh | Shell | gpl-3.0 | 375 |
#!/bin/sh
#(cd ../.. ; ./run.sh Recom2 drc datasets/renault_small 10 -e -s 10 -c datasets/renault_small/contraintes_grosse.xml | tee experiments/exp7/small_grosse_drc)
#(cd ../.. ; ./run.sh Recom2 jointree datasets/renault_small 10 -e -s 10 -c datasets/renault_small/contraintes_grosse.xml | tee experiments/exp7/small_g... | PFgimenez/thesis | experiments/exp7/run_small_4.sh | Shell | gpl-3.0 | 1,431 |
#!/bin/sh
# **************************************
# Running Navitia in the blink of an eye
# **************************************
#
# You just need to blink slowly
#
# Here is a step by step guide for running navitia on a Ubuntu 14.04
#
#
# It's more an install guide but it can help as an out-of-a-box build script... | xlqian/navitia | scripts/build_navitia.sh | Shell | agpl-3.0 | 12,811 |
for i in massif circuit place ; do
echo $i.json
./bin/importer --write-geojson=data/bleau-${i}s-geo.json --${i}s data/bleau.json
echo $i.js
./bin/importer --write-geojson=share/WebApplication/static/data/bleau-${i}s-geoson.js --js-var=${i}_geojson --${i}s data/bleau.json
done
echo GPX
./bin/importer --write-g... | Cosiroc/bleau-database | tools/dump-data.sh | Shell | agpl-3.0 | 597 |
#!/bin/sh
# Procedures that will deploy and install our application
# using SSH.
#
# NOTE: Expects variables
# - $ENVIRONMENT: Used root folder and process uid
#
# Niels SΓΈholm (2014-11-08)
scp nourriture-0.1.*.zip training:/srv/$ENVIRONMENT/nourriture.zip
ssh training <<EOF
cd /srv/$ENVIRONMENT/
forever stop ... | xxing1982/EDU_SYZT | Reference/nourriture-platform-master/scripts/deploy.sh | Shell | unlicense | 731 |
#! /bin/bash
# exercise the query state functions
curl_sparql_request <<EOF \
| jq '.results.bindings[] | .[].type' | fgrep literal | wc -l | fgrep -q '21'
prefix math: <http://www.w3.org/2005/xpath-functions/math#>
select (math:acos(1) as ?acos)
(math:asin(1) as ?asin)
(math:atan(1) as ?atan)
... | dydra/http-api-tests | extensions/sparql-protocol/temporal-data/temporal-operators.sh | Shell | unlicense | 1,129 |
#!/bin/sh
# Change this to your JDK installation root
#
#JAVA_HOME=/usr/java/jdk1.6.0_18
JRE=$JAVA_HOME/jre
JAVA=$JRE/bin/java
workdir=`dirname $0`
workdir=`cd ${workdir} && pwd`
QUARTZ=${workdir}/../..
. ${QUARTZ}/examples/bin/buildcp.sh
LOGGING_PROPS="-Dlog4j.configuration=file:${workdir}/log4j.xml"
# Set the n... | suthat/signal | vendor/quartz-2.2.0/examples/example12/client.sh | Shell | apache-2.0 | 544 |
#!/bin/bash
cd /etc/chef; chef-client -z -j chef-client.json
systemctl stop nginx
systemctl disable nginx
yum remove -y nginx
systemctl disable haproxy
systemctl stop haproxy
yum remove -y haproxy
rm -fr /etc/haproxy/haproxy.cfg
rm -fr /var/log/haproxy
systemctl stop mysql-default
systemctl disable mysql-default
syste... | Alfresco/alfresco-cloudformation-chef | quickstart-alfresco-one/scripts/run-index.sh | Shell | apache-2.0 | 930 |
#!/bin/bash
# -----------------------------------------------------------------------------
# Project: OpenGTS - Open GPS Tracking System
# URL : http://www.opengts.org
# File : makeGtsVarsEnv.sh
# -----------------------------------------------------------------------------
# Description:
# Create "/usr/local/g... | paragp/GTS-PreUAT | bin/makeGtsVarsEnv.sh | Shell | apache-2.0 | 16,751 |
#!/bin/bash
# Copyright 2017 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law ... | v1k0d3n/kubernetes | hack/verify-staging-imports.sh | Shell | apache-2.0 | 3,050 |
#!/usr/bin/env zsh
# -------------------------------------------------------------------------------------------------
# Copyright (c) 2015 zsh-syntax-highlighting contributors
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without modification, are permitted
# provided that the f... | JoseAlban/etc | dotfiles/.oh-my-zsh/custom/plugins/zsh-syntax-highlighting/highlighters/main/test-data/backslash-continuation.zsh | Shell | apache-2.0 | 2,150 |
# The directory where Cassandra's configs live
[ -z "$CASSANDRA_CONF" ] && CASSANDRA_CONF="${packaging.elassandra.conf.dir}"
[ -z "$CASSANDRA_HOME" ] && CASSANDRA_HOME="${packaging.elassandra.home.dir}"
# Set default CASSANDRA_LOGDIR if not set, then export
[ -z "$CASSANDRA_LOGDIR" ] && CASSANDRA_LOGDIR=${packaging.... | strapdata/elassandra-test | distribution/rpm/src/main/resources/bin/cassandra.in.sh | Shell | apache-2.0 | 1,048 |
#!/bin/bash
# Copyright 2016-2018 Replay SDK (http://www.replay-sdk.com)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
... | e-dot/bibliopuce | bin/upgrade_internal.sh | Shell | apache-2.0 | 1,415 |
#!/usr/bin/env sh
echo "Current directory is $(pwd)"
echo "\n=== SUREFIRE REPORTS ===\n"
for F in target/surefire-reports/*.txt
do
echo $F
cat $F
echo
done
echo "\n=== FAILSAFE REPORTS ===\n"
for F in target/failsafe-reports/*.txt
do
echo $F
cat $F
echo
done
| Upplication/Amazon-S3-FileSystem-NIO2 | print_surefire_reports.sh | Shell | mit | 286 |
#!/bin/bash
#
# cppcheck.sh
# Script to run CppCheck Static Analyzer.
# http://cppcheck.sourceforge.net/
#
# $Id$
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 2012 Gerald Combs
#
# This program is free software; you can redistribute it and/or
# modify it under the terms... | sstjohn/wireshark | tools/cppcheck/cppcheck.sh | Shell | gpl-2.0 | 2,420 |
#! /bin/sh
# Copyright (C) 2001-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | kuym/openocd | tools/automake-1.15/t/ar.sh | Shell | gpl-2.0 | 1,138 |
#! /bin/bash
java -jar target/seqware-distribution-*-full.jar -p net.sourceforge.seqware.pipeline.plugins.MarkdownPlugin -- -s WorkflowPlugin, ModuleRunner, MarkdownPlugin | tail -n +1 > docs/site/content/docs/17-plugins.md
java -jar target/seqware-distribution-*-full.jar -p net.sourceforge.seqware.pipeline.plugins.M... | SeqWare/seqware | seqware-distribution/src/scripts/generate_markdown.sh | Shell | gpl-3.0 | 545 |
# MySQL
mysql_connect() {
host_str=$(grep "HOST='$1'" $VESTA/conf/mysql.conf)
eval $host_str
if [ -z $HOST ] || [ -z $USER ] || [ -z $PASSWORD ]; then
echo "Error: mysql config parsing failed"
log_event "$E_PARSING" "$ARGUMENTS"
exit $E_PARSING
fi
mycnf="$VESTA/conf/.mysql.$... | crackerizer/vesta | func/db.sh | Shell | gpl-3.0 | 13,957 |
#!/bin/sh
#
# Copyright (C) 2010, 2012-2014 Internet Systems Consortium, Inc. ("ISC")
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWAR... | execunix/vinos | external/bsd/bind/dist/bin/tests/system/addzone/setup.sh | Shell | apache-2.0 | 942 |
#!/bin/sh
CATALINA_HOME=./tomcat
exec "./tomcat/bin/shutdown.sh"
| cuba-platform/sample-timesheets | scripts/stop-lori.sh | Shell | apache-2.0 | 65 |
#!/usr/bin/env bash
###############################################################################
# Copyright 2017 The Apollo Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of... | xiaoxq/apollo | scripts/rtk_player.sh | Shell | apache-2.0 | 1,474 |
#!/bin/sh
# source the common platform independent functionality and option parsing
script_location=$(dirname $(readlink --canonicalize $0))
. ${script_location}/common_setup.sh
# configuring apt for non-interactive environment
echo -n "configure package manager for non-interactive usage... "
export DEBIAN_FRONTEND=n... | cvmfs-testing/cvmfs | test/cloud_testing/platforms/ubuntu_x86_64_setup.sh | Shell | bsd-3-clause | 2,699 |
#!/bin/bash
[ -n "$status_db_type" ] && db_type=$status_db_type
echo "DROP TABLE status_meta;";
| yahoo/gearbox | workers/gearbox/sql/status-migration/10.undo.sql.sh | Shell | bsd-3-clause | 98 |
#!/bin/sh
#
# Copyright (c) 2009 Poul-Henning Kamp.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
# notice, this list of ... | eriknstr/ThinkPad-FreeBSD-setup | FreeBSD/tools/tools/nanobsd/fill_pkg.sh | Shell | isc | 2,479 |
function generate()
{
cmake -G "Unix Makefiles" -DASSIMP_ENABLE_BOOST_WORKAROUND=YES -DASSIMP_NO_EXPORT=$TRAVIS_NO_EXPORT -DBUILD_SHARED_LIBS=$SHARED_BUILD
}
if [ $ANDROID ]; then
ant -v -Dmy.dir=${TRAVIS_BUILD_DIR} -f ${TRAVIS_BUILD_DIR}/port/jassimp/build.xml ndk-jni
else
generate \
&& make \
&& ... | marcs77/MuonEngine | dependencies/assimp/.travis.sh | Shell | mit | 537 |
#!/bin/sh
#
# Copyright (c) 2008 Timo Hirvonen
#
test_description='Test diff/status color escape codes'
. ./test-lib.sh
color()
{
actual=$(git config --get-color no.such.slot "$1") &&
test "$actual" = "$2"
}
invalid_color()
{
test_must_fail git config --get-color no.such.slot "$1"
}
test_expect_success 'reset' ... | sunny256/git | t/t4026-color.sh | Shell | gpl-2.0 | 2,758 |
#!/usr/bin/env bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "Lice... | bolkedebruin/airflow | scripts/ci/images/ci_wait_for_and_verify_ci_image.sh | Shell | apache-2.0 | 1,457 |
#!/bin/sh
#
# The MIT License
# Copyright Β© 2010 JmxTrans team
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, m... | kulcsartibor/jmxtrans | jmxtrans/vagrant/build-centos.sh | Shell | mit | 1,512 |
#!/bin/bash
FN="BSgenome.Amellifera.UCSC.apiMel2_1.4.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.8/data/annotation/src/contrib/BSgenome.Amellifera.UCSC.apiMel2_1.4.0.tar.gz"
"https://bioarchive.galaxyproject.org/BSgenome.Amellifera.UCSC.apiMel2_1.4.0.tar.gz"
"https://depot.galaxyproject.org/software/bio... | joachimwolff/bioconda-recipes | recipes/bioconductor-bsgenome.amellifera.ucsc.apimel2/post-link.sh | Shell | mit | 1,414 |
#! /bin/sh
# Copyright (C) 2001-2015 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | hika-server/automake | t/cond18.sh | Shell | gpl-2.0 | 1,372 |
echo 'shaderdl my_tex_lookup.sl && sxTest' | drd-env -s napalmDelight delight | justajeffy/anim-studio-tools | napalm/delight/trunk/test/test_sx.sh | Shell | gpl-3.0 | 77 |
#!/bin/sh -e
# submit a job with json-null and ensure it doesn't cause the shell
# to segfault
# test-prereqs: HAVE_JQ
flux job attach -vEX $(flux mini run --dry-run hostname \
| jq .attributes.system.shell.options.foo=null \
| flux job submit)
| chu11/flux-core | t/issues/t3415-job-shell-segfault-on-null.sh | Shell | lgpl-3.0 | 255 |
#!/usr/bin/env bash
EXCLUDE=()
BUILD_SCRIPT="build.sh"
function isExcluded() {
CHECKED="${1}"
for VALUE in $EXCLUDE; do
if [ "x$CHECKED" == "x$VALUE" ]; then
return 0
fi
done
return -1
}
for SAMPLE_DIR in *; do
if [ -d "$SAMPLE_DIR" ] && [ -e "$SAMPLE_DIR/$BUILD_SCRIPT" ]; then
echo
echo ... | jiaminglu/kotlin-native | samples/build.sh | Shell | apache-2.0 | 632 |
#!/bin/sh
# -------------------------------------------------------------------------
# copy XDS.a Repository components into DCM4CHEE installation
# -------------------------------------------------------------------------
DIRNAME=`dirname $0`
XDS_HOME="$DIRNAME"/..
XDS_SERV="$XDS_HOME"/server/default
if [ x$1 = x ]... | medicayun/medicayundicom | dcm4chee-xds/tags/DCM4CHEE_XDS_0_0_2_SNAPSHOT_TEST_STORAGE_1/dcm4chee-xdsa-repository/dcm4chee-xdsa-repository-dist/src/main/bin/install_as_addon.sh | Shell | apache-2.0 | 872 |
#!/bin/bash
# Copyright 2015 The Kubernetes Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | megastef/kubernetes | cluster/gce/trusty/configure.sh | Shell | apache-2.0 | 28,503 |
#! /bin/bash
# script to configure the keystone
| Deepankar01/openstack_scripts | swift/configure.sh | Shell | apache-2.0 | 48 |
#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd "$DIR/libproj"
dir_proj=./proj
#
# download proj4 source
#
rm -rf $dir_proj
if [[ ! -f proj.tar.gz ]]; then
curl http://download.osgeo.org/proj/proj-4.8.0.tar.gz -o proj.tar.gz
fi
tar -xzf proj.tar.gz
mv proj-4.8.0 $dir_proj
rm -rf $dir_proj/co... | sbmelvin/node-gdal | deps/libproj.sh | Shell | apache-2.0 | 923 |
#!/bin/bash
#
# An example hook script to verify what is about to be committed.
# Called by "git commit" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message if
# it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-commit".
if git rev-parse --v... | puttarajubr/commcare-hq | git-hooks/pre-commit.sh | Shell | bsd-3-clause | 2,327 |
#! /bin/sh
. ../env.sh
mkdir -p log pid
dropdb qdb
createdb qdb
| overdrive3000/skytools | tests/simplecons/init.sh | Shell | isc | 68 |
#!/bin/bash
# This is an example script that runs vtworker.
set -e
script_root=`dirname "${BASH_SOURCE}"`
source $script_root/env.sh
cell=test
port=15003
vtworker_command="$*"
# Expand template variables
sed_script=""
for var in cell port vtworker_command; do
sed_script+="s,{{$var}},${!var},g;"
done
# Instantia... | danielmt/vshard | vendor/github.com/youtube/vitess/examples/kubernetes/sharded-vtworker.sh | Shell | mit | 1,502 |
#!/bin/bash
# Copyright 2016 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law ... | fgrzadkowski/kubernetes | cluster/gce/gci/configure.sh | Shell | apache-2.0 | 8,447 |
#!/usr/bin/env bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "Lic... | bolkedebruin/airflow | scripts/in_container/bin/install_imgcat.sh | Shell | apache-2.0 | 1,453 |
#!/bin/sh
# make sure chown --from=... works
# Copyright (C) 2001-2016 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at ... | sunny256/coreutils | tests/chown/basic.sh | Shell | gpl-3.0 | 2,065 |
#!/bin/bash
SCRIPT_NAME="$(basename ${BASH_SOURCE[0]})"
pushd $(dirname ${BASH_SOURCE[0]}) > /dev/null
SCRIPT_DIR=$(pwd)
pushd ../.. > /dev/null
SOURCE_DIR=$(pwd)
popd > /dev/null
pushd ../functions > /dev/null
FN_DIR=$(pwd)
popd > /dev/null
popd > /dev/null
source "${SCRIPT_DIR}/functions.sh"
function usage {
cat <<... | mhausenblas/burry.sh | vendor/github.com/hashicorp/consul/build-support/scripts/verify.sh | Shell | apache-2.0 | 2,167 |
#!/bin/sh
lib=$1
shift
if cray2; then
bld cr $lib `lorder $* | tsort`
else
ar clq $lib $*
fi
| CPFDSoftware-Tony/gmv | utils/OpenMotif/openMotif-2.3.3/config/util/crayar.sh | Shell | gpl-3.0 | 110 |
#!/bin/bash
# Exit the script immediately if a command exits with a non-zero status,
# and print commands and their arguments as they are executed.
set -ex
uname -a
free -m
df -h
ulimit -a
sudo apt update
sudo apt install gfortran eatmydata libgfortran5
if [ "$USE_DEBUG" ]
then
sudo apt install python3-dbg pyth... | pdebuyl/numpy | tools/travis-before-install.sh | Shell | bsd-3-clause | 1,675 |
#!/bin/sh
MINGW=/opt/mingw64
export PATH=$PATH:$MINGW/bin
#export CFLAGS="-fno-tree-vectorize"
export CXXFLAGS="$CFLAGS"
if [ "$1" = "-qt5" ] ; then
CMAKE_OPTS="-DWANT_QT5=ON -DCMAKE_PREFIX_PATH=$MINGW"
fi
cmake .. -DCMAKE_TOOLCHAIN_FILE=../cmake/modules/Win64Toolchain.cmake -DCMAKE_MODULE_PATH=`pwd`/../cmake/modul... | petterreinholdtsen/lmms | cmake/build_mingw64.sh | Shell | gpl-2.0 | 337 |
#!/bin/bash
set -x
set -euvo pipefail
IFS=$'\n\t'
if [ -z "$SNAPCRAFT_SECRET" ]; then
exit 0
fi
mkdir -p ".encrypted"
if [ ! -e ".encrypted/snapcraft.cfg.enc" ]; then
echo "Seeding a new macaroon."
echo "$SNAPCRAFT_CONFIG" > ".encrypted/snapcraft.cfg.enc"
fi
mkdir -p "$HOME/.config/snapcraft"
openssl enc... | LearnersGuild/Rocket.Chat | .travis/snap.sh | Shell | mit | 1,084 |
#! /bin/bash
# Copyright (C) 2005, 2007, 2009 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# versi... | mseaborn/plash-glibc | scripts/check-local-headers.sh | Shell | gpl-2.0 | 1,353 |
############################################################################
# Test streaming + compression
############################################################################
require_qpress
stream_format=xbstream
stream_extract_cmd="xbstream -xv <"
stream_uncompress_cmd="innobackupex --decompress ./"
innoba... | tplavcic/percona-xtrabackup | storage/innobase/xtrabackup/test/t/ib_stream_compress.sh | Shell | gpl-2.0 | 421 |
#!/bin/sh
#
# curl compilation script for the OS/400.
#
#
# This is a shell script since make is not a standard component of OS/400.
SCRIPTDIR=`dirname "${0}"`
. "${SCRIPTDIR}/initscript.sh"
cd "${TOPDIR}"
# Create the OS/400 library if it does not exist.
if action_needed "${LIBIFSNAME}"
then C... | lex128/mtasa-blue | vendor/curl/packages/OS400/makefile.sh | Shell | gpl-3.0 | 1,602 |
#!/bin/sh
# ----------------------------------------------------------------------------
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licen... | ravihansa3000/stratos | products/load-balancer/modules/distribution/src/main/bin/stratos.sh | Shell | apache-2.0 | 10,357 |
#! /bin/sh
AWK=${AWK:-../gawk}
$AWK 'BEGIN {printf "0"; exit}' | $AWK 'BEGIN {RS=""}; {print length(RT)}'
$AWK 'BEGIN {printf "0\n"; exit}' | $AWK 'BEGIN {RS=""}; {print length(RT)}'
$AWK 'BEGIN {printf "0\n\n"; exit}' | $AWK 'BEGIN {RS=""}; {print length(RT)}'
| evaautomation/gawk | test/rtlen01.sh | Shell | gpl-3.0 | 265 |
#!/bin/bash
mkdir -p "$PREFIX/bin"
if [ "$(uname)" == "Darwin" ]; then
cp gapToLift "$PREFIX/bin"
else
export MACHTYPE=x86_64
export BINDIR=$(pwd)/bin
mkdir -p "$BINDIR"
(cd kent/src/lib && make)
(cd kent/src/htslib && make)
(cd kent/src/jkOwnLib && make)
(cd kent/src/hg/lib && make)
... | colinbrislawn/bioconda-recipes | recipes/ucsc-gaptolift/build.sh | Shell | mit | 433 |
#!/bin/bash -e
if [ -z "$1" ]; then
echo "Usage: build.sh path/to/jenkins.war"
exit 1
fi
# figure out the version to package
cp "$1" $(dirname $0)/SOURCES/jenkins.war
pushd $(dirname $0)
if [ -z "$2" ]; then
version=$(unzip -p SOURCES/jenkins.war META-INF/MANIFEST.MF | grep Implementation-Version | cut -d ' ' -f... | jtnord/jenkins | opensuse/build.sh | Shell | mit | 694 |
#!/bin/bash
mkdir -p "$PREFIX/bin"
export MACHTYPE=x86_64
export BINDIR=$(pwd)/bin
export L="${LDFLAGS}"
mkdir -p "$BINDIR"
(cd kent/src/lib && make)
(cd kent/src/htslib && make)
(cd kent/src/jkOwnLib && make)
(cd kent/src/hg/lib && make)
(cd kent/src/hg/genePredToGtf && make)
cp bin/genePredToGtf "$PREFIX/bin"
chmod +... | cokelaer/bioconda-recipes | recipes/ucsc-genepredtogtf/build.sh | Shell | mit | 350 |
#!/bin/sh
cachedir=/tmp/.webcache
uci_load network
subcategories() {
[ -s "$cachedir/graphs" ] || { # create a cache if it does not exists already
[ -d "$cachedir" ] || mkdir "$cachedir" 2>/dev/null 1>&2
(echo "Graphs:10:CPU:graphs-cpu.sh"
echo "Graphs:20:Bandwidth:graphs-bandwidth.sh"
echo "Grap... | wintonliuwen/free4530 | feeds/xwrt/webif/files/www/cgi-bin/webif/graphs-subcategories.sh | Shell | gpl-2.0 | 672 |
#!/bin/bash
cd /opt/stoqshg/venv-stoqs/bin
source activate
cd /opt/stoqshg/loaders/CANON/realtime
python monitorLrauvHotSpot.py -d 'Daphne Monterey data - June 2014' -o /mbari/LRAUV/daphne/realtime/sbdlogs/2014/201406 -u 'http://elvis.shore.mbari.org/thredds/catalog/LRAUV/daphne/realtime/sbdlogs/2014/201406' -b 'stoq... | josephmfaulkner/stoqs | stoqs/loaders/CANON/realtime/monitorLrauv_june2014.sh | Shell | gpl-3.0 | 423 |
rm -fr /etc/yum.repos.d/custom.repo
| davidddw/imageBuilder | redhat_7.0_kvm_livecloud/scripts/cleanup.sh | Shell | apache-2.0 | 36 |
#!/bin/bash -e
source ../functions/register.sh
source ../functions/subscribe.sh
source ../functions/publish.sh
source ../functions/notify.sh
source ../functions/rand.sh
cat /dev/null > errors.txt
cat /dev/null > ${SUBSCRIBERS_FILE}
EXPECTED_RETURN=0
start_port=8020
event="presence"
content_type="application\/pidf+xm... | MayamaTakeshi/kamailio | modules/presence_conference/test_framework/presence_tests/send_subscribe.sh | Shell | gpl-2.0 | 1,078 |
# This is a shell function to be sourced into your shell or placed in your .profile,
# which makes setting things up for BitBake a bit easier.
#
# The author disclaims copyright to the contents of this file and places it in the
# public domain.
bbdev () {
local BBDIR PKGDIR BUILDDIR
if test x"$1" = "x--help"; then e... | wwright2/dcim3-angstrom1 | sources/bitbake/contrib/bbdev.sh | Shell | mit | 992 |
#!/usr/bin/env bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "Lic... | piiswrong/mxnet | example/rcnn/script/get_coco.sh | Shell | apache-2.0 | 1,513 |
#!/bin/bash
export CPATH=${PREFIX}/include
$PYTHON setup.py install
$PYTHON -m MiModD.__first_run__
| JenCabral/bioconda-recipes | recipes/mimodd/build.sh | Shell | mit | 102 |
#!/bin/sh
# SPDX-License-Identifier: GPL-2.0+
sed 's!\([0-9a-f]*\) T \([a-z0-9_]*\)\(@@LINUX_5.10\)*!.global \2\n.set \2,0x\1!' \
| grep '^\.'
| Linutronix/linux | arch/csky/kernel/vdso/so2s.sh | Shell | gpl-2.0 | 144 |
#!/bin/bash
#
# Run a series of 14 tests under KVM. These are not particularly
# well-selected or well-tuned, but are the current set. Run from the
# top level of the source tree.
#
# Edit the definitions below to set the locations of the various directories,
# as well as the test duration.
#
# Usage: kvm.sh [ option... | clearwa/mypi | tools/testing/selftests/rcutorture/bin/kvm.sh | Shell | gpl-2.0 | 11,000 |
#!/bin/sh
usage()
{
ME=$(basename $0)
cat <<EOM 1>&2
usage: ${ME} COMMAND ARGS...
Simple wrapper around 'docker build' and 'docker run' to build and run
Mirage unikernels using docker-unikernel-runner.
Available COMMANDs:
run [ OPTIONS ] IMAGE -- Wrapper for 'docker run':
Adds CAP_NET_ADMIN, passes thr... | mato/docker-unikernel-runner | docker-mirage.sh | Shell | isc | 3,046 |
#!/usr/bin/env bash
IP=`hostname --ip-address`
sed -i -e "s/^interface.*/interface = $IP/" $OPSCENTER_HOME/conf/opscenterd.conf
echo Starting OpsCenter on $IP...
/usr/bin/supervisord -c /etc/supervisord.conf | FoxtrotSystems/spark-cassandra-docker | opscenter/src/start.sh | Shell | mit | 210 |
#!/bin/bash
script_dir=`pwd`
lcc="${script_dir}/.lcc"
lcc_linux="${script_dir}/.lcc/linux-64"
lcc_osx="${script_dir}/.lcc/osx-64"
mkdir -p $lcc_linux
mkdir -p $lcc_osx
for d in p1 p2
do
pushd $d
conda index $lcc_linux
conda index $lcc_osx
pf=`conda build . --output`
echo $pf
conda build -q --channel "fil... | joelhullcio/conda-test | b.sh | Shell | mit | 389 |
#!/usr/bin/env bash
function log() {
if [ "$QUIET" = "1" ]; then
"$@" >> status.log 2>&1
else
"$@" 2>&1 | tee -a status.log
fi
}
touch status.log
:> status.log
log date
log echo -e " [+] fetching updates"
if [ `logname` = "vagrant" ]; then
apt-get update
fi
log echo -e " [+] building... | frainfreeze/studying | university/10009-OperatingSystems/operating-system-project/bootstrap.sh | Shell | mit | 712 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.